org.pentaho.reporting.libraries.resourceloader.loader.zip

## Class ZipEntryKey

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipEntryKey

All Implemented Interfaces:
  java.io.Serializable

    public class ZipEntryKey
    extends java.lang.Object
    implements java.io.Serializable

An external zip key.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ZipEntryKey(ResourceData zipFile, java.lang.String entryName)`
`ZipEntryKey(ResourceManager manager, java.io.File zipFile, java.lang.String entryName)`
`ZipEntryKey(ResourceManager manager, java.lang.String zipFile, java.lang.String entryName)`
`ZipEntryKey(ResourceManager manager, java.net.URL zipFile, java.lang.String entryName)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getEntryName()`
`ResourceData` `getZipFile()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZipEntryKey

    public ZipEntryKey(ResourceData zipFile,
               java.lang.String entryName)

#### ZipEntryKey

    public ZipEntryKey(ResourceManager manager,
               java.lang.String zipFile,
               java.lang.String entryName)
                throws ResourceKeyCreationException,
                       ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

#### ZipEntryKey

    public ZipEntryKey(ResourceManager manager,
               java.net.URL zipFile,
               java.lang.String entryName)
                throws ResourceKeyCreationException,
                       ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

#### ZipEntryKey

    public ZipEntryKey(ResourceManager manager,
               java.io.File zipFile,
               java.lang.String entryName)
                throws ResourceKeyCreationException,
                       ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

### Method Detail

#### getZipFile

    public ResourceData getZipFile()

#### getEntryName

    public java.lang.String getEntryName()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`